Accessimport sketch mdb.models[name].sketches[name].geometry[i] mdb.models[name].sketches[name].geometry[i][i] Arc3Points(...)
This method constructs an arc using a two endpoints and an intermediate third point on the arc. Pathmdb.models[name].sketches[name].Arc3Points Required arguments
Optional argumentsNone. Return valueA ConstrainedSketchGeometry object (None if the arc cannot be created). ExceptionsNone. ArcByCenterEnds(...)
This method constructs an arc using a center point and two vertices. The Arc object is added to the geometry repository of the ConstrainedSketch object. The arc is created in a clockwise fashion from point1 to point2. Pathmdb.models[name].sketches[name].ArcByCenterEnds Required arguments
Optional argumentsNone. Return valueA ConstrainedSketchGeometry object (None if the arc cannot be created). ExceptionsIf incompatible data are given, the second endpoint is ignored. ArcByStartEndTangent(...)
This method constructs an arc using two vertices. The Arc object is added to the geometry repository of the ConstrainedSketch object. Pathmdb.models[name].sketches[name].ArcByStartEndTangent Required arguments
Optional argumentsNone. Return valueA ConstrainedSketchGeometry object (None if the arc cannot be created). ExceptionsNone. CircleByCenterPerimeter(...)
This method constructs a circle using a center point and a point on the perimeter. The circle is added to the geometry repository of the ConstrainedSketch object. Pathmdb.models[name].sketches[name].CircleByCenterPerimeter Required arguments
Return valueA ConstrainedSketchGeometry object (None if the circle cannot be created). ExceptionsNone. ConstructionCircleByCenterPerimeter(...)
This method constructs a construction circle using a center point and a point on the perimeter. The circle is added to the geometry repository of the ConstrainedSketch object. Pathmdb.models[name].sketches[name].ConstructionCircleByCenterPerimeter Required arguments
Return valueA ConstrainedSketchGeometry object (None if the circle cannot be created). ExceptionsNone. EllipseByCenterPerimeter(...)
This method constructs an ellipse using a center point, a major axis point, and a minor axis point. The ellipse is added to the geometry repository of the ConstrainedSketch object. Pathmdb.models[name].sketches[name].EllipseByCenterPerimeter Required arguments
Optional argumentsNone. Return valueA ConstrainedSketchGeometry object (None if the ellipse cannot be created). ExceptionsNone. FilletByRadius(...)
This method constructs a fillet arc of a given radius between two curves. The fillet is added to the geometry repository of the ConstrainedSketch object. Pathmdb.models[name].sketches[name].FilletByRadius Required arguments
Optional argumentsNone. Return valueA ConstrainedSketchGeometry object (None if the fillet cannot be created). Exceptions
Line(...)
This method creates a line between two given points. Pathmdb.models[name].sketches[name].Line Required arguments
Optional argumentsNone. Return valueA ConstrainedSketchGeometry object (None if the line cannot be created). ExceptionsNone. ConstructionLine(...)
This method creates an oblique construction line that runs between two given points. Pathmdb.models[name].sketches[name].ConstructionLine Required arguments
Optional argumentsNone. Return valueA ConstrainedSketchGeometry object (None if the line cannot be created). ExceptionsNone. Spline(...)
This method creates a spline curve running through a sequence of points. Pathmdb.models[name].sketches[name].Spline Required arguments
Optional arguments
Return valueA ConstrainedSketchGeometry object (None if the spline cannot be created). ExceptionsNone. Spot(...)
This method creates a spot construction point located at the specified coordinates. The spot is added to the vertex repository of the ConstrainedSketch object. Pathmdb.models[name].sketches[name].Spot Required arguments
Optional argumentsNone. Return valueA ConstrainedSketchGeometry object (None if the spot cannot be created). ExceptionsNone. getVertices()
This method returns an list of ConstrainedSketchVertex objects which are a part of the given ConstrainedSketchGeometry object. ArgumentsNone. Return valueA list of ConstrainedSketchVertex objects. ExceptionsNone. getSize()
This method returns the length of the given ConstrainedSketchGeometry object. ArgumentsNone. Return valueThe length of the given ConstrainedSketchGeometry. ExceptionsNone. getPointAtDistance(...)
This method returns a point offset along the given ConstrainedSketchGeometry from the given end by a specified arc length distance or a percentage of the total length of the ConstrainedSketchGeometry object. Required arguments
Optional arguments
Return valueA pair of floats representing the point along the edge. ExceptionsNone. MembersThe ConstrainedSketchGeometry object has the following members:
|